Package org.apache.commons.math3.util

# Enum ResizableDoubleArray.ExpansionMode

java.lang.Object
java.lang.Enum<ResizableDoubleArray.ExpansionMode>
org.apache.commons.math3.util.ResizableDoubleArray.ExpansionMode

All Implemented Interfaces:
  `Serializable`, `Comparable<ResizableDoubleArray.ExpansionMode>`, `java.lang.constant.Constable`

Enclosing class:
  `ResizableDoubleArray`

public static enum ResizableDoubleArray.ExpansionMode extends Enum<ResizableDoubleArray.ExpansionMode>
Specification of expansion algorithm.

Since:
  3.1

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADDITIVE`
Additive expansion mode.
`MULTIPLICATIVE`
Multiplicative expansion mode.

## Method Summary

Modifier and Type
Method
Description
`static ResizableDoubleArray.ExpansionMode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ResizableDoubleArray.ExpansionMode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MULTIPLICATIVE

public static final ResizableDoubleArray.ExpansionMode MULTIPLICATIVE
Multiplicative expansion mode.

### ADDITIVE

public static final ResizableDoubleArray.ExpansionMode ADDITIVE
Additive expansion mode.

## Method Details

### values

public static ResizableDoubleArray.ExpansionMode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ResizableDoubleArray.ExpansionMode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null